### Name: fitgene.nl
### Title: Fits the optimal kinetic parameter values for a particular gene
###   and model.
### Aliases: fitgene.nl
### Keywords: ts

### ** Examples

#load data and fit a linear model
data(HVDMexample)
rm(fiveGyMAS5)
data(HVDMexample2)
tp532<-training(eset=twodosesMAS5,genes=p53traingenes,degrate=0.8)
#formulate constraints
CONSTRAINTS<-c(350,35)
names(CONSTRAINTS)<-c("trfact1.5Gy.1.4","trfact1.hGy.1.4")
#specify individual gene models
GENEMODELS<-rep("MM",5)
GENEMODELS[c(1,3)]<-"hill"
names(GENEMODELS)<-p53traingenes
#run the model
tp53hyb<-training.nl(inputHVDM=tp532,constraints=CONSTRAINTS,genemodels=GENEMODELS)

#fit an individual gene
sHVDMex<-fitgene.nl(eset=twodosesMAS5,gene="213293_s_at",tHVDM=tp53hyb)



